Skip to main content
GET
/
v1
/
simulation
/
scenario
/
{scenarioId}
JavaScript
import Roark from '@roarkanalytics/sdk';

const client = new Roark({
  bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});

const response = await client.simulationScenario.getByID('scenarioId');

console.log(response.data);
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "steps": [
      {
        "nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "START",
        "content": "<string>",
        "dtmfDigits": "<string>"
      }
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

scenarioId
string
required

The ID of the scenario to retrieve

Response

The requested scenario

data
object
required